package bd;

public class FiltreEgalite implements Operateur{
	
	private Operateur s;
	private int att;
	private int test;
	
	
	public FiltreEgalite(Operateur source, int attribut, int valeur) {
		this.s = source;
		this.att = attribut;
		this.test = valeur;
	}

	@Override
	public Tuple next() {
		Tuple res = null;
		while((res=this.s.next())!= null) {
			if(res.att[this.att]==this.test) {
				return res;
			}
		}
		return null;
	}

	@Override
	public void open() {
		this.s.open();
	}

	@Override
	public void close() {
		this.s.close();
		
	}

}
